Package org.eclipse.rdf4j.sail.shacl.wrapper.data

## Class ConnectionsGroup

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.wrapper.data.ConnectionsGroup

- All Implemented Interfaces:
    `AutoCloseable`

      @InternalUseOnly
      public class ConnectionsGroup
      extends Object
      implements AutoCloseable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ConnectionsGroup.RdfsSubClassOfReasonerProvider` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConnectionsGroup​(SailConnection baseConnection, SailConnection previousStateConnection, Sail addedStatements, Sail removedStatements, Stats stats, ConnectionsGroup.RdfsSubClassOfReasonerProvider rdfsSubClassOfReasonerProvider, ShaclSailConnection.Settings transactionSettings, boolean sparqlValidation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `SailConnection` | `getAddedStatements()` |
    `SailConnection` | `getBaseConnection()` |
    `PlanNode` | `getCachedNodeFor​(PlanNode planNode)` |
    `SailConnection` | `getPreviousStateConnection()` |
    `RdfsSubClassOfReasoner` | `getRdfsSubClassOfReasoner()` |
    `SailConnection` | `getRemovedStatements()` |
    `Stats` | `getStats()` |
    `ShaclSailConnection.Settings` | `getTransactionSettings()` |
    `boolean` | `isSparqlValidation()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionsGroup

          public ConnectionsGroup​(SailConnection baseConnection,
                                  SailConnection previousStateConnection,
                                  Sail addedStatements,
                                  Sail removedStatements,
                                  Stats stats,
                                  ConnectionsGroup.RdfsSubClassOfReasonerProvider rdfsSubClassOfReasonerProvider,
                                  ShaclSailConnection.Settings transactionSettings,
                                  boolean sparqlValidation)

  - ### Method Detail

    - #### getPreviousStateConnection

          public SailConnection getPreviousStateConnection()

    - #### getAddedStatements

          public SailConnection getAddedStatements()

    - #### getRemovedStatements

          public SailConnection getRemovedStatements()

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`

    - #### getBaseConnection

          public SailConnection getBaseConnection()

    - #### getCachedNodeFor

          public PlanNode getCachedNodeFor​(PlanNode planNode)

    - #### getRdfsSubClassOfReasoner

          public RdfsSubClassOfReasoner getRdfsSubClassOfReasoner()

    - #### getStats

          public Stats getStats()

    - #### getTransactionSettings

          public ShaclSailConnection.Settings getTransactionSettings()

    - #### isSparqlValidation

          public boolean isSparqlValidation()